"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recommended = void 0;
const base_1 = require("./base");
exports.recommended = {};
const overrides = [
    Object.assign({ files: ['*.md', '*.mdx'], extends: 'plugin:mdx/overrides' }, base_1.base),
    {
        files: '**/*.{md,mdx}/**',
        extends: 'plugin:mdx/code-blocks',
    },
];
try {
    require.resolve('prettier');
    require.resolve('eslint-plugin-prettier');
    overrides.push({
        files: '*.md',
        rules: {
            'prettier/prettier': [
                2,
                {
                    parser: 'markdown',
                },
            ],
        },
    }, {
        files: '*.mdx',
        rules: {
            'prettier/prettier': [
                2,
                {
                    parser: 'mdx',
                },
            ],
        },
    });
}
catch (_a) { }
Object.assign(exports.recommended, {
    overrides,
});
//# sourceMappingURL=recommended.js.map